Interface GetSoftwareResourcesV2Request.Builder

  • Method Details

    • packageName

      The name of the software package, for example openssl. This value must match the PackageName returned by GetSoftwareV2.

      Parameters:
      packageName - The name of the software package, for example openssl. This value must match the PackageName returned by GetSoftwareV2.
      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • packageType

      The type of the software package, for example operating-system, application, or library. This value must match the PackageType returned by GetSoftwareV2.

      Parameters:
      packageType - The type of the software package, for example operating-system, application, or library. This value must match the PackageType returned by GetSoftwareV2.
      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • packageVersion

      GetSoftwareResourcesV2Request.Builder packageVersion(String packageVersion)

      The version of the software package, for example 3.0.8. If you omit this value, the response includes resources that contain any version of the package.

      Parameters:
      packageVersion - The version of the software package, for example 3.0.8. If you omit this value, the response includes resources that contain any version of the package.
      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • filters

      Filters the returned resources based on a set of criteria. You can nest composite filters up to three levels deep.

      Parameters:
      filters - Filters the returned resources based on a set of criteria. You can nest composite filters up to three levels deep.
      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • filters

      Filters the returned resources based on a set of criteria. You can nest composite filters up to three levels deep.

      This is a convenience method that creates an instance of the SoftwareFilters.Builder avoiding the need to create one manually via SoftwareFilters.builder().

      When the Consumer completes, SdkBuilder.build() is called immediately and its result is passed to filters(SoftwareFilters).

      Parameters:
      filters - a consumer that will call methods on SoftwareFilters.Builder
      Returns:
      Returns a reference to this object so that method calls can be chained together.
      See Also:
    • scopes

      Limits the results to resources from specific organizational units or from the delegated administrator's organization. Only the delegated administrator account can use this parameter. Other accounts receive an AccessDeniedException.

      This parameter is optional. If you omit it, the delegated administrator sees resources from all accounts across the entire organization. Other accounts see only their own resources.

      You can specify up to 10 entries in Scopes.AwsOrganizations. If multiple entries are specified, the entries are combined using OR logic.

      Parameters:
      scopes - Limits the results to resources from specific organizational units or from the delegated administrator's organization. Only the delegated administrator account can use this parameter. Other accounts receive an AccessDeniedException.

      This parameter is optional. If you omit it, the delegated administrator sees resources from all accounts across the entire organization. Other accounts see only their own resources.

      You can specify up to 10 entries in Scopes.AwsOrganizations. If multiple entries are specified, the entries are combined using OR logic.

      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • scopes

      Limits the results to resources from specific organizational units or from the delegated administrator's organization. Only the delegated administrator account can use this parameter. Other accounts receive an AccessDeniedException.

      This parameter is optional. If you omit it, the delegated administrator sees resources from all accounts across the entire organization. Other accounts see only their own resources.

      You can specify up to 10 entries in Scopes.AwsOrganizations. If multiple entries are specified, the entries are combined using OR logic.

      This is a convenience method that creates an instance of the SoftwareScopes.Builder avoiding the need to create one manually via SoftwareScopes.builder().

      When the Consumer completes, SdkBuilder.build() is called immediately and its result is passed to scopes(SoftwareScopes).

      Parameters:
      scopes - a consumer that will call methods on SoftwareScopes.Builder
      Returns:
      Returns a reference to this object so that method calls can be chained together.
      See Also:
    • sortCriteria

      The resource attribute used to sort the list of returned resources, for example Region or ResourceType. You can specify one sort criterion.

      Parameters:
      sortCriteria - The resource attribute used to sort the list of returned resources, for example Region or ResourceType. You can specify one sort criterion.
      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • sortCriteria

      The resource attribute used to sort the list of returned resources, for example Region or ResourceType. You can specify one sort criterion.

      Parameters:
      sortCriteria - The resource attribute used to sort the list of returned resources, for example Region or ResourceType. You can specify one sort criterion.
      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • sortCriteria

      The resource attribute used to sort the list of returned resources, for example Region or ResourceType. You can specify one sort criterion.

      This is a convenience method that creates an instance of the SortCriterion.Builder avoiding the need to create one manually via SortCriterion.builder().

      When the Consumer completes, SdkBuilder.build() is called immediately and its result is passed to sortCriteria(List<SortCriterion>).

      Parameters:
      sortCriteria - a consumer that will call methods on SortCriterion.Builder
      Returns:
      Returns a reference to this object so that method calls can be chained together.
      See Also:
    • nextToken

      The token required for pagination. On your first call, set the value of this parameter to NULL. For subsequent calls, to continue listing data, set the value of this parameter to the value returned in the previous response.

      A token expires one hour after it's issued. If you change the request parameters between calls, the token is no longer valid and the request fails with a ValidationException.

      Parameters:
      nextToken - The token required for pagination. On your first call, set the value of this parameter to NULL. For subsequent calls, to continue listing data, set the value of this parameter to the value returned in the previous response.

      A token expires one hour after it's issued. If you change the request parameters between calls, the token is no longer valid and the request fails with a ValidationException.

      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • maxResults

      The maximum number of results to return. Valid values are 1–100. The default is 100.

      Parameters:
      maxResults - The maximum number of results to return. Valid values are 1–100. The default is 100.
      Returns:
      Returns a reference to this object so that method calls can be chained together.
    • overrideConfiguration

      GetSoftwareResourcesV2Request.Builder overrideConfiguration(AwsRequestOverrideConfiguration overrideConfiguration)
      Description copied from interface: AwsRequest.Builder
      Add an optional request override configuration.
      Specified by:
      overrideConfiguration in interface AwsRequest.Builder
      Parameters:
      overrideConfiguration - The override configuration.
      Returns:
      This object for method chaining.
    • overrideConfiguration

      Description copied from interface: AwsRequest.Builder
      Add an optional request override configuration.
      Specified by:
      overrideConfiguration in interface AwsRequest.Builder
      Parameters:
      builderConsumer - A Consumer to which an empty AwsRequestOverrideConfiguration.Builder will be given.
      Returns:
      This object for method chaining.